## jta 2.6%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/[.+]dfsg// \
 http://javassh.org/space/start /download/jta(\d)(\d+)-src\.jar
