=== debian/changelog ===
jta (2.6+dfsg-3) unstable; urgency=low

  * Team Upload
  * Change Build-Depends: default-jdk-doc.
  * Remove most Uploaders.
  * Update Standards-Version: 3.8.4
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 16:14:52 +0200

jta (2.6+dfsg-2) unstable; urgency=low

  * (Build-)Depends on default-jdk (Closes: #526289).
  * Build-Depends on debhelper >= 7.
  * Let packages Depends on ${misc:Depends}.
  * Make short description of jta-doc unique.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Fri, 18 Sep 2009 22:00:13 +0200

jta (2.6+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to libjdom1-java, both for Build-Dep and Depends (closes: #502344)
  * Already conforms to standards 3.8.0
  * Added a Homepage and Vcs-* fields
  * Switched debian/copyright to UTF-8, so that jta is now lintian-clean.

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 16 Oct 2008 20:53:55 +0200

jta (2.6+dfsg-1) unstable; urgency=low

  * Added myself to uploaders.
  * Converted to use CDBS (usual build system in pkg-java).
  * Compiles using java-gcj-compat-dev.
  * Changed to debheler version 5.
  * Upstream provide both a Makefile and a build.xml, but the
    Makefile is out of date. Swapped to build.xml.
  * Removed dependency on Java runtime (as required by draft Java
    policy).
  * Created separate -doc package.
  * Removed non-dfsg RFC from source tarball.
    (Closes: #393377)
  * Expanded description, and added end-user documentation.
    (Closes: #34130, #417544)
  * Amended build.xml to include index.html as a help file.
    (Closes: #341405)

 -- Paul Cager <paul-debian@home.paulcager.org>  Sat, 21 Apr 2007 21:37:36 +0100

jta (2.5+dfsg-1) unstable; urgency=low

  * Re-upload with orig.tar.gz with new version number (Closes: #413053).
  * Moved debhelper from Build-Depends-Indep to Build-Depends.
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Fri,  2 Mar 2007 23:04:36 +0100

jta (2.5-3) unstable; urgency=medium

  * Added debian/jta.links to add link from jta.jar to jta25.jar.
  (Closes: #405490).

 -- Michael Koch <konqueror@gmx.de>  Thu, 15 Feb 2007 15:40:27 +0100

jta (2.5-2) unstable; urgency=low

  * build with kaffe, move to main

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 23 Sep 2005 01:22:31 +0200

jta (2.5-1) unstable; urgency=low

  * New upstream release (closes: #276792).
  * added dependencies to libjdom0-java, libcrimson-java and
    libgnu-regexp-java
  * de/mud/flash/FlashTerminal.java: added a catch statement with
    IOException at line 160. I'm sorry not to make a proper patch and send
    it upstream. If you have time, please, contact upstream and tell
    him/her I was not able to build from source without adding this catch
    statement.
  * added support for amd64 (closes: #274839).

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 12 Nov 2004 17:25:50 +0100

jta (2.0a-1) unstable; urgency=low

  * Not a new upstream, but removed three .cvsignore files and a CVS
    directory
  * Corrected the maintainer field: Debian Java Maintainers, thanks to
    Carlos Z.F. Liu (closes: #253449).

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 12 Jun 2004 18:26:28 +0200

jta (2.0-1) unstable; urgency=low

  * Initial release by Jaldhar H. Vyas <jaldhar@debian.org> but
    pkg-java-maintainers will take care of the package, I'll be an
    uploader (closes: #167380).

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 22 May 2004 12:25:05 +0200
