=== debian/control ===
Source: jta
Section: net
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>
Build-Depends: debhelper (>= 7), ant, cdbs, default-jdk
Build-Depends-Indep: libxerces2-java, libgnu-regexp-java, libcrimson-java,
 libjdom1-java, default-jdk-doc
Standards-Version: 3.8.4
Homepage: http://www.javassh.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jta
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/jta


Package: jta
Architecture: all
Depends:  libgnu-regexp-java, libcrimson-java, libjdom1-java, ${misc:Depends}
Suggests: jta-doc
Description: Java telnet/ssh applet - documentation
 JTA is a Java implementation of Telnet and ssh.
 .
 JTA may be run as a standalone application (using class
 de.mud.jta.Main), or as a Java Applet (class de.mud.jta.Applet).
 .
 It's modular structure allows to configure the software to act either
 as a sophisticated terminal emulation and/or, adding the network
 backend, as telnet implementation. Additional modules provide features
 like scripting or an improved graphical user interface.

Package: jta-doc
Architecture: all
Section: doc
Depends: classpath-doc, ${misc:Depends}
Suggests: jta
Description: Java telnet/ssh applet
 JTA is a Java implementation of Telnet and ssh.
 .
 JTA may be run as a standalone application (using class
 de.mud.jta.Main), or as a Java Applet (class de.mud.jta.Applet).
 .
 It's modular structure allows to configure the software to act either
 as a sophisticated terminal emulation and/or, adding the network
 backend, as telnet implementation. Additional modules provide features
 like scripting or an improved graphical user interface.
 .
 This package provides the API documentation for JTA
